%global srcname simplegeneric

Name:           python-%{srcname}
Version:        0.8.1
Release:        %mkrel 8
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

Group:          Development/Python
License:        ZPL
URL:            http://cheeseshop.python.org/pypi/simplegeneric
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%package -n python3-%{srcname}
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Group:          Development/Python

%description
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%description -n python3-%{srcname}
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd
%{__python} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%{python_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%{python3_sitelib}/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-8.mga5
+ Revision: 740647
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1-7.mga5
+ Revision: 729763
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-6.mga5
+ Revision: 688332
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8.1-5.mga5
+ Revision: 629012
- Rebuild for new Python

* Fri Mar 14 2014 philippem <philippem> 0.8.1-4.mga5
+ Revision: 603894
- add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 544180
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.1-2.mga4
+ Revision: 499376
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.8.1-1.mga4
+ Revision: 460924
- imported package python-simplegeneric

